We want to find out about the velocity vector $v_{BG}$ of
the bullet relative to the ground, so we need to add Annie's
velocity relative to the ground $v_{AG}$ to the bullet's
velocity vector $v_{BA}$ relative to her. Letting the
positive $x$ axis be east and $y$ north, we have
\begin{align*}
        v_{BA,x}     &=  (140\ \zu{mi}/\zu{hr}) \cos  45\degunit  \\
                     &=  100\ \zu{mi}/\zu{hr}  \\
        v_{BA,y}     &=  (140\ \zu{mi}/\zu{hr}) \sin  45\degunit  \\
                     &=  100\ \zu{mi}/\zu{hr}
\end{align*}
and
\begin{align*}
        v_{AG,x}     &=  0  \\
        v_{AG,y}     &=  30\ \zu{mi}/\zu{hr}   \qquad   .
\end{align*}
The bullet's velocity relative to the ground therefore has components
\begin{align*}
        v_{BG,x}     &=  100\ \zu{mi}/\zu{hr}   \qquad \text{and}  \\
        v_{BG,y}     &=  130\ \zu{mi}/\zu{hr}   \qquad   .
\end{align*}
Its speed on impact with the animal is the magnitude of this vector
\begin{align*}
        |v_{BG}|     &=  \sqrt{(100\ \zu{mi}/\zu{hr})^2+(130\ \zu{mi}/\zu{hr})^2}  \\
                 &=  160\ \zu{mi}/\zu{hr}
\end{align*}
(rounded off to 2 significant figures).
